Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.tasks
Class VfsTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.commons.vfs.tasks.VfsTask

Direct Known Subclasses:
  AbstractSyncTask, DeleteTask, MkdirTask, ShowFileTask

public class VfsTask
extends org.apache.tools.ant.Task

Base class for the VFS Ant tasks. Takes care of creating a FileSystemManager, and for cleaning it up at the end of the build. Also provides some utility methods.

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  Adam Murdoch

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`VfsTask()`

Method Summary
`protected void` | `closeManager()` Close the manager
`protected FileObject` | `resolveFile(String uri)` Resolves a URI to a file, relative to the project's base directory.

Methods inherited from class org.apache.tools.ant.Task
`execute, getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VfsTask

    public VfsTask()

Method Detail

### resolveFile

    protected FileObject resolveFile(String uri)
                              throws FileSystemException

  Resolves a URI to a file, relative to the project's base directory.

  Parameters:
    `uri` - The URI to resolve.
  Throws:
    `FileSystemException`

### closeManager

    protected void closeManager()

  Close the manager

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.